﻿using System;

namespace models
{

    [Serializable]
    public class LoginRequest
    {
        public String username;
        public String password;
    }
    
    [Serializable]
    public class LoginResponse
    {
        public Record record { get; set; }
        public string token { get; set; }
        
        public class Record
        {
            public string avatar { get; set; }
            public string collectionId { get; set; }
            public string collectionName { get; set; }
            public string created { get; set; }
            public string email { get; set; }
            public bool emailVisibility { get; set; }
            public string id { get; set; }
            public string name { get; set; }
            public string updated { get; set; }
            public string username { get; set; }
            public bool verified { get; set; }
        }
    }
}